请问JPush SDK有历史版本下载吗?


(Dd Diao) #1

项目中有使用 JPush sdk,但提包时,收到苹果的警告有使用CoreLocation.framework;
在社区里有搜索相似的问题,建议 降低版本到 3.1.1+1.2.6,但找不到历史下载版本的入口; 最新iOS版本也不知道什么时候发布;
所以,能不能提供历史版本下载呢?


#2

暂未提供旧版,你可以使用 Pod 指定具体的版本号。


(Dd Diao) #3

你好,我用Pod 指定版本为3.1.1 ,但更新下载到的版本是 3.1.2+1.2.6; 查看代码也是有 Location相关代码的;那么请问哪个版本是没有引用 CoreLocation.framework 库的?


#4

3.1.1+1.2.5 的没有


(Dd Diao) #5

你好,没有 3.1.1+1.2.5; 我又尝试指定 到 3.0.0 , 更新的的版本是 3.0.9 + 1.2.6 ;


#6

jpush-ios-3.1.1-release.zip (3.2 MB)
jcore-ios-1.2.5-release.zip (5.8 MB)


(Dd Diao) #7

:expressionless:非常感谢


#8

该问题已优化完毕,可以升级到 JPush 3.2.1 版本,上架不会再有问题。